org.apache.fop.svg

## Interface SVGEventProducer

All Superinterfaces:
  EventProducer

    public interface SVGEventProducer
    extends EventProducer

Event producer interface for SVG-related events.

### Nested Class Summary

Nested Classes
`static class` `SVGEventProducer.Provider` Provider class for the event producer.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `alert(Object source, String message)` Alert during SVG processing.
`void` `bitmapWithTransparency(Object source, Object pdfProfile, String uri)` SVG references a bitmap image that contains transparency while it is not allowed.
`void` `error(Object source, String message, Exception e)` Error during SVG processing.
`void` `info(Object source, String message)` Info during SVG processing.
`void` `svgNotBuilt(Object source, Exception e, String uri)` SVG graphic could not be built due to an exception.
`void` `svgRenderingError(Object source, Exception e, String uri)` SVG graphic could not be rendered due to an exception.
`void` `transparencyIgnored(Object source, Object pdfProfile, String uri)` Transparency has been ignored due to restrictions from the PDF profile being used.

### Method Detail

#### error

    void error(Object source,
               String message,
               Exception e)

Error during SVG processing. Either message or e must be set.

Parameters:
  `source` - the event source
  `message` - the error message (or null)
  `e` - the exception (or null)
Event.severity:
  ERROR

#### alert

    void alert(Object source,
               String message)

Alert during SVG processing.

Parameters:
  `source` - the event source
  `message` - the error message
Event.severity:
  WARN

#### info

    void info(Object source,
              String message)

Info during SVG processing.

Parameters:
  `source` - the event source
  `message` - the error message
Event.severity:
  INFO

#### svgNotBuilt

    void svgNotBuilt(Object source,
                     Exception e,
                     String uri)

SVG graphic could not be built due to an exception.

Parameters:
  `source` - the event source
  `e` - the original exception
  `uri` - the URI of the SVG graphic
Event.severity:
  ERROR

#### svgRenderingError

    void svgRenderingError(Object source,
                           Exception e,
                           String uri)

SVG graphic could not be rendered due to an exception.

Parameters:
  `source` - the event source
  `e` - the original exception
  `uri` - the URI of the SVG graphic
Event.severity:
  ERROR

#### transparencyIgnored

    void transparencyIgnored(Object source,
                             Object pdfProfile,
                             String uri)

Transparency has been ignored due to restrictions from the PDF profile being used.

Parameters:
  `source` - the event source
  `pdfProfile` - the PDF profile
  `uri` - the image URI, if available
Event.severity:
  WARN

#### bitmapWithTransparency

    void bitmapWithTransparency(Object source,
                                Object pdfProfile,
                                String uri)

SVG references a bitmap image that contains transparency while it is not allowed.

Parameters:
  `source` - the event source
  `pdfProfile` - the PDF profile that disallows transparency
  `uri` - the image URI, if available
Event.severity:
  ERROR